Subject: Re: bug#67993: Selecting buffer automatically

From: Juri Linkov <[email-masked]>
Date: Mon, 15 Jan 2024 19:56:18 +0200

> + `post-command-select-window' -- A non-nil value means that after the
> +    current command is executed and the hook `post-command-hook' is called,
> +    the window displayed by this function will be selected.  A nil value
> +    means that if functions like `pop-to-buffer' selected another window,
> +    at the end of this command that window will be deselected, and the
> +    window that was selected before calling this function will remain
> +    selected.
>
> I'd say "will be usually selected" and "will be usually deselected".
> For example, (post-command-select-window . nil) will effectively select
> the window that was selected before 'display-buffer' was called,

The docstring above says the same:

  "the window that was selected before calling this function
   will remain selected"

> regardless of which other window were selected after the
> 'display-buffer'.

These clarifications could be added to the docstring as well:

  "the window that was selected before calling this function
   will remain selected regardless of which other windows
   were selected later with other calls of 'display-buffer'."